# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.deployment_version_api import DeploymentVersionApi  # noqa: E501
from swagger_client.rest import ApiException


class TestDeploymentVersionApi(unittest.TestCase):
    """DeploymentVersionApi unit test stubs"""

    def setUp(self):
        self.api = DeploymentVersionApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_get_deployment_drift(self):
        """Test case for get_deployment_drift

        Get deployment drift  # noqa: E501
        """
        pass

    def test_get_deployment_usage(self):
        """Test case for get_deployment_usage

        Get deployment usage  # noqa: E501
        """
        pass

    def test_roll_back_deployment_version(self):
        """Test case for roll_back_deployment_version

        Rollback old version  # noqa: E501
        """
        pass

    def test_update_description_by_version(self):
        """Test case for update_description_by_version

        Update description by version  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
